# -*- mode: ruby -*-
# vi: set ft=ruby :

# All Vagrant configuration is done below. The "2" in Vagrant.configure
# configures the configuration version (we support older styles for
# backwards compatibility). Please don't change it unless you know what
# you're doing.

Vagrant.configure("2") do |config|
  config.vm.provision "file", source: "~/.ssh/id_rsa", destination: "/home/vagrant/.ssh/id_rsa"

  config.vm.provision "file", source: "~/.ssh/id_rsa.pub", destination: "/home/vagrant/.ssh/id_rsa.pub"

  config.vm.provision "shell", path: "provisioner.sh", privileged: false 

  config.vm.define "machine1" do |machine1|
    machine1.vm.box = "centos/7"
  end

  config.vm.define "machine2" do |machine2|
    machine2.vm.box = "centos/7"
  end

  config.vm.define "machine3" do |machine2|
    machine2.vm.box = "centos/7"
  end

  config.vm.define "machine4" do |machine2|
    machine2.vm.box = "centos/7"
  end
end

